Name:		xmbdfed
Summary:	Bitmap Font Editor
Version:	4.7
Release:	%mkrel 2
License:	MIT
Group:		Publishing
URL:		http://crl.nmsu.edu/~mleisher/%{name}.html

Source0:	http://crl.nmsu.edu/~mleisher/%{name}-%{version}.tar.bz2
Source1:	http://crl.nmsu.edu/~mleisher/%{name}.png
Source2:	%{name}.desktop

Patch0:		http://crl.nmsu.edu/~mleisher/%{name}-4.7-patch1
Patch1:		xmbdfed-4.7-linux.patch
Patch2:		xmbdfed-4.7-staticfix.patch
Patch3:		xmbdfed-4.7-getline.patch
Patch4:		xmbdfed-4.7-mga-format-security_bdf.c.patch

BuildRequires:	pkgconfig(freetype2)
BuildRequires:	lesstif-devel
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(sm)
BuildRequires:	ice-devel
BuildRequires:	desktop-file-utils
Requires:	x11-font-misc-misc

%description
The XmBDFEditor lets you interactively create new bitmap font files or 
modify existing ones. It allows editing multiple fonts and multiple 
glyphs, it allows cut and paste operations between fonts and glyphs and 
editing font properties. The editor works natively with BDF fonts.

%prep
%setup -q 
%patch0 -p0 -b .patch1
%patch1 -p1 -b .xmbdfed-4.7-linux.patch
%patch2 -p1 -b .xmbdfed-4.7-staticfix.patch
%patch3 -p1 -b .xmbdfed-4.7-getline.patch
%patch4 -p1 -b .xmbdfed-4.7-mga-format-security_bdf.c.patch

%build
%make

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m0755 %{name} %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m0644 %{name}.man %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps
desktop-file-install					\
	--dir %{buildroot}%{_datadir}/applications/ %{SOURCE2}

%files
%doc README COPYRIGHTS %{name}rc CHANGES
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.7-2.mga4
+ Revision: 522609
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 barjac <barjac> 4.7-1.mga3
+ Revision: 404720
- spec cleanup
- fix build (patched for format-security errors)
- changed group
- import xmbdfed from fedora


* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug  5 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 4.7-7
- actually apply patch3

* Wed Aug  5 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 4.7-6
- fix function naming conflict of "getline" with stdio.h

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.7-3
- add -p to install to preserve timestamps
- add BR: desktop-file-utils

* Mon Dec  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.7-2
- correct usage of defattr
- add Requires: xorg-x11-fonts-misc
- fix desktop file

* Thu Nov 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.7-1
- initial Fedora package
